import React from "react"
import './index.less'

interface Props {
    label: string,
    children: React.ReactNode;
}
const Selector: React.FC<Props> = (props) => {

    /****************/
    const { label, children } = props
    /****************/

    return <div className="selector">
        <span className="selectorLabel">{label}</span>{children}
    </div>
}

export default React.memo(Selector)